Download it now!
Bug 59246 - character preview of special character dialog cannot display completely
Summary: character preview of special character dialog cannot display completely
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: All All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-11 15:54 UTC by yufang_chen
Modified: 2013-11-13 23:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Chinese character "婀" in LibreOffice 3.6 (76.32 KB, image/jpeg)
2013-01-11 15:54 UTC, yufang_chen
Details
Chinese character "婀" in LibreOffice 4.0 beta2 (92.71 KB, image/jpeg)
2013-01-11 15:55 UTC, yufang_chen
Details
Chinese character "婀" in LibreOffice 3.6 (76.32 KB, image/jpeg)
2013-01-11 15:57 UTC, yufang_chen
Details
Chinese character "婀" in LibreOffice 4.0 beta2 (92.71 KB, image/jpeg)
2013-01-11 15:58 UTC, yufang_chen
Details
Same problem with Jamrul_Bengali_U_0982 (58.65 KB, image/png)
2013-01-12 15:06 UTC, Marco Menardi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yufang_chen 2013-01-11 15:54:10 UTC
Created attachment 72863 [details]
Chinese character "婀" in LibreOffice 3.6

In LibreOffice 4.0 new Widget layout technique for dialog windows introduced,but we ran into some trouble.
step.1 from Insert>Special Character
step.2 select any CJK Character,then we can see the preview of Chinese character or Japanese character were not completely,the left side or right side of a character preview may be cropped
Comment 1 yufang_chen 2013-01-11 15:55:11 UTC
Created attachment 72864 [details]
Chinese character "婀" in LibreOffice 4.0 beta2
Comment 2 yufang_chen 2013-01-11 15:57:57 UTC
Created attachment 72865 [details]
Chinese character "婀" in LibreOffice 3.6
Comment 3 yufang_chen 2013-01-11 15:58:53 UTC
Created attachment 72866 [details]
Chinese character "婀" in LibreOffice 4.0 beta2
Comment 4 Marco Menardi 2013-01-12 15:06:11 UTC
Created attachment 72903 [details]
Same problem with Jamrul_Bengali_U_0982

I don't have Chinese fonts, but I can confirm the bug under Debian GNU/Linux 64, KDE, LiBo 4.0.0RC1 using Jamrul font, Bengali subset and i.e. U+0982 character (just select a large one to see the bug)
Comment 5 Caolán McNamara 2013-04-08 13:28:47 UTC
The worst of these problems were addressed by http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-0&id=b43bd72c7d81b58c5f58a5c29fab7982878b5f63 so it should look better now. There is still scope for improvement though.
Comment 6 Commit Notification 2013-04-08 13:49:32 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb1c8080016ee3d788a2eca6cbc6ba42ff7d362f

Resolves: fdo#59246 shrink font to fit available width



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2013-04-08 13:54:13 UTC
I think the major problem is already improved in 4-0, and the above should sort of the remaining edge cases.